
#include "BrowseButton.h"
#include <QFileDialog>

const char* default_caption = "Choose a file name...";

//pretty straightforward constructors...
BrowseButton::BrowseButton(QWidget* parent)
    : QPushButton(parent) {
    setText("...");
    m_caption = default_caption;
    m_get_dir = false;
}

BrowseButton::BrowseButton(const QString& text, QWidget* parent)
    : QPushButton(text,parent) {
    m_caption = default_caption;
    m_get_dir = false;
}

BrowseButton::BrowseButton(const QIcon& icon, const QString& text, QWidget* parent)
    : QPushButton(icon,text,parent) {
    m_caption = default_caption;
    m_get_dir = false;
}

void BrowseButton::mouseReleaseEvent(QMouseEvent* e) {
	//let the button do its button thing.
    QPushButton::mouseReleaseEvent(e);
	
	//the file picked.
	QString result;
	
	//if we should get a directory, ask for one!
    if (m_get_dir) {
        result = QFileDialog::getExistingDirectory(0,m_caption,m_dir,QFileDialog::ShowDirsOnly);
    }
	//otherwise, ask for a file.
    else {
        result = QFileDialog::getOpenFileName(0,m_caption,m_dir,m_filter);
    }

	//if no file was selected, emit canceled.
    if (result.isEmpty()) {
        emit( canceled() );
    }
	//otherwise, report the filename.
    else {
        emit( chose(result) );
    }
}
