#ifndef DEFAULT_SETTINGS
#define DEFAULT_SETTINGS

#include <QSize>
#include <QPoint>

//This pair of files is for storing all the possible options my program can set
//with QSettings and their default values. This makes it easy to change these
//values, even though they may be used anywhere within the program.

//------------------------------------------------//
    extern const char* CELL_OPTIONS;              //
//------------------------------------------------//
    extern const char* SPEED_SINGLE_ITEM;         //
    extern const bool SPEED_SINGLE_ITEM_DEFAULT;  //
    extern const char* ZOOM_SINGLE_ITEM;          //
    extern const bool ZOOM_SINGLE_ITEM_DEFAULT;   //
    extern const char* HIDE_EMPTY_CELL;           //
    extern const bool HIDE_EMPTY_CELL_DEFAULT;    //
//------------------------------------------------//



//------------------------------------------------//
    extern const char* ICON_OPTIONS;              //
//------------------------------------------------//
    extern const char* CACHE_ALL_ICONS;           //
    extern const bool CACHE_ALL_ICONS_DEFAULT;    //
    extern const char* RESIZE_ALL_ICONS;          //
    extern const bool RESIZE_ALL_ICONS_DEFAULT;   //
    extern const char* RESIZE_WIDTH;              //
    extern const int RESIZE_WIDTH_DEFAULT;        //
    extern const char* RESIZE_HEIGHT;             //
    extern const int RESIZE_HEIGHT_DEFAULT;       //
    extern const char* GENERIC_EXEC_ICON;         //
    extern const char* GENERIC_EXEC_ICON_DEFAULT; //
    extern const char* GENERIC_MENU_ICON;         //
    extern const char* GENERIC_MENU_ICON_DEFAULT; //
//------------------------------------------------//



//------------------------------------------------//
    extern const char* WINDOW_OPTIONS;            //
//------------------------------------------------//
    extern const char* WARN_ON_CLOSE;             //
    extern const bool WARN_ON_CLOSE_DEFAULT;      //
    extern const char* WINDOW_SIZE;               //
    extern const QSize WINDOW_SIZE_DEFAULT;       //
    extern const char* WINDOW_POS;                //
    extern const QPoint WINDOW_POS_DEFAULT;       //
    extern const char* HOT_KEY;                   //
    extern const char* HOT_KEY_DEFAULT;           //
//------------------------------------------------//

#endif //DEFAULT_SETTINGS
