#ifndef INFO_BUTTON_H
#define INFO_BUTTON_H

#include <QPushButton>

//A QtDesigner plugin for this class has been made, and is available upon request.

//A simple button that has a string associated with it and emits that string
//in the clicked(QString) signal when clicked.
class InfoButton : public QPushButton {
    Q_OBJECT
    Q_PROPERTY(QString message READ message WRITE setMessage DESIGNABLE true)
    public:
        InfoButton(QWidget* parent = 0);
        InfoButton(const QString& text, QWidget* parent = 0);
        InfoButton(const QIcon& icon, const QString& text, QWidget* parent = 0);
        void setMessage(QString message);
        const QString message();
    signals:
        void clicked(QString message);
    protected:
        void mouseReleaseEvent(QMouseEvent* e);
        QString m_message;
};

#endif //INFO_BUTTON_H
