#ifndef ITEMDATA_H_
#define ITEMDATA_H_

#include <QString>
class MenuData;

//A class to represent one item, that is, an icon associated either with a program
//or some submenu.
class ItemData
{
public:
	//default constructor
	ItemData(const QString &name, const QString &icon);
	//a copy constructor (deep)
	ItemData(ItemData* item);
	//deletes the menu associated with this item, if there is one.
	~ItemData();

	//The type of item this is
	enum ItemType {
		ItemExec,
		ItemMenu
	};

	QString const name();
	void setName(const QString &name);

	QString const icon();
	void setIcon(const QString &icon);

	QString const exec();
	void setExec(const QString &exec);

	MenuData* menu();
	void setMenu(MenuData* menu);

   	ItemType const type();

	//create an XML representation of this data for output to a file.
	QString toString(int pos, const QString &indent = "");

protected:
	//internal state:
	QString m_name;
	QString m_icon;

	ItemType m_type;
	//the command to execute (with arguments)
	QString m_exec;
	//the menu to load
	MenuData* m_menu;
};

#endif /*ITEMDATA_H_*/
