#ifndef MENOKU_TRAY
#define MENOKU_TRAY

#include "trayicon/trayicon.h"
#include "globalaccel/globalaccelman.h"

class QMenu;

//A nice wrapper for the Psi Trayicon class. It also manages the global hotkey.
class MenokuTray : public TrayIcon {
    Q_OBJECT
    public:
        MenokuTray();
		~MenokuTray();
    public slots:
		//resynchronize the global hotkey with what is set in QSettings
        void updateHotKey(QString newKey);
    signals:
		//toggle the visibility of the Menoku Window
        void toggleVisible();
    protected:
		//the popup menu to show
        QMenu* m_menu;
		//how we keep track of the global hotkey.
        GlobalAccelManager m_accel;
};

#endif //MENOKU_TRAY

