#ifndef MENOKU_WIDGET_H
#define MENOKU_WIDGET_H

#include <QWidget>

class MenuWidget;
class ItemData;
class MenuData;
class SettingsWidget;
class QPushButton;

//This is the main Window that holds everything else.
class MenokuWidget : public QWidget {
Q_OBJECT
public:
    MenokuWidget(MenuData* menu, QWidget* parent = 0);

public slots:
	//switch between edit mode and normal mode
    void setEdit(bool edit);
	//hide the window if it's visible, otherwise show it.
    void toggleVisible();

protected:
	//I override the close event so that I can hide to the system tray when
	//the user clicks the X button.
    void closeEvent(QCloseEvent* e);
	
	//The three widgets that hold all the other widgets:
    SettingsWidget* m_settings;
    QPushButton* m_revealer;
    MenuWidget* m_menu;
};

#endif //MENOKU_WIDGET_H

