#ifndef UI_SETTINGS_H
#define UI_SETTINGS_H

#include "BrowseButton.h"
#include "CellWidget.h"
#include "InfoButton.h"
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QFrame>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QSpinBox>
#include <QtGui/QToolBox>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

class Ui_Settings
{
public:
    QVBoxLayout *vboxLayout;
    QToolBox *toolBox;
    QWidget *editPage;
    QVBoxLayout *vboxLayout1;
    QLabel *nameLabel;
    QLineEdit *nameEdit;
    QLabel *iconLabel;
    QHBoxLayout *hboxLayout;
    QLineEdit *iconEdit;
    BrowseButton *iconButton;
    QGroupBox *actionGroup;
    QVBoxLayout *vboxLayout2;
    QRadioButton *execRadio;
    QRadioButton *menuRadio;
    QLabel *execLabel;
    QHBoxLayout *hboxLayout1;
    QLineEdit *execEdit;
    BrowseButton *execButton;
    QPushButton *applyButton;
    QPushButton *cancelButton;
    QPushButton *deleteButton;
    CellWidget *clipboardCell;
    QSpacerItem *spacerItem;
    QWidget *configurePage;
    QVBoxLayout *vboxLayout3;
    QGroupBox *cellGroup;
    QVBoxLayout *vboxLayout4;
    QHBoxLayout *hboxLayout2;
    QCheckBox *quickSelectBox;
    InfoButton *quickSelectButton;
    QHBoxLayout *hboxLayout3;
    QCheckBox *zoomBox;
    InfoButton *zoomButton;
    QHBoxLayout *hboxLayout4;
    QCheckBox *hideBox;
    InfoButton *hideButton;
    QGroupBox *iconGroup;
    QVBoxLayout *vboxLayout5;
    QHBoxLayout *hboxLayout5;
    QCheckBox *cacheBox;
    InfoButton *cacheButton;
    QHBoxLayout *hboxLayout6;
    QCheckBox *resizeBox;
    InfoButton *resizeButton;
    QFrame *frame;
    QVBoxLayout *vboxLayout6;
    QHBoxLayout *hboxLayout7;
    QLabel *label_2;
    QSpinBox *heightSpin;
    QHBoxLayout *hboxLayout8;
    QLabel *label;
    QSpinBox *widthSpin;
    QLabel *label_3;
    QHBoxLayout *hboxLayout9;
    QLineEdit *execIconEdit;
    BrowseButton *execIconButton;
    QLabel *label_4;
    QHBoxLayout *hboxLayout10;
    QLineEdit *menuIconEdit;
    BrowseButton *menuIconButton;
    QGroupBox *windowGroup;
    QVBoxLayout *vboxLayout7;
    QLabel *label_5;
    QLineEdit *shortcutEdit;
    QSpacerItem *spacerItem1;
    QGroupBox *helpGroup;
    QVBoxLayout *vboxLayout8;
    QLabel *helpLabel;
    QWidget *aboutPage;
    QVBoxLayout *vboxLayout9;
    QLabel *label_6;
    QLabel *versionLabel;
    QLabel *label_9;
    QSpacerItem *spacerItem2;

    void setupUi(QWidget *Settings)
    {
    Settings->setObjectName(QString::fromUtf8("Settings"));
    Settings->resize(QSize(270, 847).expandedTo(Settings->minimumSizeHint()));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(5));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(Settings->sizePolicy().hasHeightForWidth());
    Settings->setSizePolicy(sizePolicy);
    vboxLayout = new QVBoxLayout(Settings);
    vboxLayout->setSpacing(0);
    vboxLayout->setMargin(0);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    toolBox = new QToolBox(Settings);
    toolBox->setObjectName(QString::fromUtf8("toolBox"));
    editPage = new QWidget();
    editPage->setObjectName(QString::fromUtf8("editPage"));
    editPage->setGeometry(QRect(0, 0, 268, 749));
    vboxLayout1 = new QVBoxLayout(editPage);
    vboxLayout1->setSpacing(6);
    vboxLayout1->setMargin(9);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    nameLabel = new QLabel(editPage);
    nameLabel->setObjectName(QString::fromUtf8("nameLabel"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(0));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(nameLabel->sizePolicy().hasHeightForWidth());
    nameLabel->setSizePolicy(sizePolicy1);

    vboxLayout1->addWidget(nameLabel);

    nameEdit = new QLineEdit(editPage);
    nameEdit->setObjectName(QString::fromUtf8("nameEdit"));

    vboxLayout1->addWidget(nameEdit);

    iconLabel = new QLabel(editPage);
    iconLabel->setObjectName(QString::fromUtf8("iconLabel"));
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(0));
    sizePolicy2.setHorizontalStretch(0);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(iconLabel->sizePolicy().hasHeightForWidth());
    iconLabel->setSizePolicy(sizePolicy2);

    vboxLayout1->addWidget(iconLabel);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    iconEdit = new QLineEdit(editPage);
    iconEdit->setObjectName(QString::fromUtf8("iconEdit"));

    hboxLayout->addWidget(iconEdit);

    iconButton = new BrowseButton(editPage);
    iconButton->setObjectName(QString::fromUtf8("iconButton"));
    iconButton->setMaximumSize(QSize(24, 16777215));

    hboxLayout->addWidget(iconButton);


    vboxLayout1->addLayout(hboxLayout);

    actionGroup = new QGroupBox(editPage);
    actionGroup->setObjectName(QString::fromUtf8("actionGroup"));
    QSizePolicy sizePolicy3(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(4));
    sizePolicy3.setHorizontalStretch(0);
    sizePolicy3.setVerticalStretch(0);
    sizePolicy3.setHeightForWidth(actionGroup->sizePolicy().hasHeightForWidth());
    actionGroup->setSizePolicy(sizePolicy3);
    vboxLayout2 = new QVBoxLayout(actionGroup);
    vboxLayout2->setSpacing(6);
    vboxLayout2->setMargin(9);
    vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
    execRadio = new QRadioButton(actionGroup);
    execRadio->setObjectName(QString::fromUtf8("execRadio"));
    execRadio->setChecked(true);

    vboxLayout2->addWidget(execRadio);

    menuRadio = new QRadioButton(actionGroup);
    menuRadio->setObjectName(QString::fromUtf8("menuRadio"));

    vboxLayout2->addWidget(menuRadio);


    vboxLayout1->addWidget(actionGroup);

    execLabel = new QLabel(editPage);
    execLabel->setObjectName(QString::fromUtf8("execLabel"));
    QSizePolicy sizePolicy4(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(0));
    sizePolicy4.setHorizontalStretch(0);
    sizePolicy4.setVerticalStretch(0);
    sizePolicy4.setHeightForWidth(execLabel->sizePolicy().hasHeightForWidth());
    execLabel->setSizePolicy(sizePolicy4);

    vboxLayout1->addWidget(execLabel);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    execEdit = new QLineEdit(editPage);
    execEdit->setObjectName(QString::fromUtf8("execEdit"));

    hboxLayout1->addWidget(execEdit);

    execButton = new BrowseButton(editPage);
    execButton->setObjectName(QString::fromUtf8("execButton"));
    execButton->setMaximumSize(QSize(24, 16777215));

    hboxLayout1->addWidget(execButton);


    vboxLayout1->addLayout(hboxLayout1);

    applyButton = new QPushButton(editPage);
    applyButton->setObjectName(QString::fromUtf8("applyButton"));

    vboxLayout1->addWidget(applyButton);

    cancelButton = new QPushButton(editPage);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    vboxLayout1->addWidget(cancelButton);

    deleteButton = new QPushButton(editPage);
    deleteButton->setObjectName(QString::fromUtf8("deleteButton"));

    vboxLayout1->addWidget(deleteButton);

    clipboardCell = new CellWidget(editPage);
    clipboardCell->setObjectName(QString::fromUtf8("clipboardCell"));
    QSizePolicy sizePolicy5(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(5));
    sizePolicy5.setHorizontalStretch(0);
    sizePolicy5.setVerticalStretch(0);
    sizePolicy5.setHeightForWidth(clipboardCell->sizePolicy().hasHeightForWidth());
    clipboardCell->setSizePolicy(sizePolicy5);

    vboxLayout1->addWidget(clipboardCell);

    spacerItem = new QSpacerItem(20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout1->addItem(spacerItem);

    toolBox->addItem(editPage, QApplication::translate("Settings", "Edit", 0, QApplication::UnicodeUTF8));
    configurePage = new QWidget();
    configurePage->setObjectName(QString::fromUtf8("configurePage"));
    configurePage->setGeometry(QRect(0, 0, 96, 26));
    vboxLayout3 = new QVBoxLayout(configurePage);
    vboxLayout3->setSpacing(6);
    vboxLayout3->setMargin(9);
    vboxLayout3->setObjectName(QString::fromUtf8("vboxLayout3"));
    cellGroup = new QGroupBox(configurePage);
    cellGroup->setObjectName(QString::fromUtf8("cellGroup"));
    vboxLayout4 = new QVBoxLayout(cellGroup);
    vboxLayout4->setSpacing(6);
    vboxLayout4->setMargin(9);
    vboxLayout4->setObjectName(QString::fromUtf8("vboxLayout4"));
    hboxLayout2 = new QHBoxLayout();
    hboxLayout2->setSpacing(6);
    hboxLayout2->setMargin(0);
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    quickSelectBox = new QCheckBox(cellGroup);
    quickSelectBox->setObjectName(QString::fromUtf8("quickSelectBox"));

    hboxLayout2->addWidget(quickSelectBox);

    quickSelectButton = new InfoButton(cellGroup);
    quickSelectButton->setObjectName(QString::fromUtf8("quickSelectButton"));
    quickSelectButton->setMaximumSize(QSize(24, 16777215));

    hboxLayout2->addWidget(quickSelectButton);


    vboxLayout4->addLayout(hboxLayout2);

    hboxLayout3 = new QHBoxLayout();
    hboxLayout3->setSpacing(6);
    hboxLayout3->setMargin(0);
    hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
    zoomBox = new QCheckBox(cellGroup);
    zoomBox->setObjectName(QString::fromUtf8("zoomBox"));
    zoomBox->setEnabled(false);

    hboxLayout3->addWidget(zoomBox);

    zoomButton = new InfoButton(cellGroup);
    zoomButton->setObjectName(QString::fromUtf8("zoomButton"));
    zoomButton->setMaximumSize(QSize(24, 16777215));

    hboxLayout3->addWidget(zoomButton);


    vboxLayout4->addLayout(hboxLayout3);

    hboxLayout4 = new QHBoxLayout();
    hboxLayout4->setSpacing(6);
    hboxLayout4->setMargin(0);
    hboxLayout4->setObjectName(QString::fromUtf8("hboxLayout4"));
    hideBox = new QCheckBox(cellGroup);
    hideBox->setObjectName(QString::fromUtf8("hideBox"));

    hboxLayout4->addWidget(hideBox);

    hideButton = new InfoButton(cellGroup);
    hideButton->setObjectName(QString::fromUtf8("hideButton"));
    hideButton->setMaximumSize(QSize(24, 16777215));

    hboxLayout4->addWidget(hideButton);


    vboxLayout4->addLayout(hboxLayout4);


    vboxLayout3->addWidget(cellGroup);

    iconGroup = new QGroupBox(configurePage);
    iconGroup->setObjectName(QString::fromUtf8("iconGroup"));
    iconGroup->setFlat(false);
    iconGroup->setCheckable(false);
    vboxLayout5 = new QVBoxLayout(iconGroup);
    vboxLayout5->setSpacing(6);
    vboxLayout5->setMargin(9);
    vboxLayout5->setObjectName(QString::fromUtf8("vboxLayout5"));
    hboxLayout5 = new QHBoxLayout();
    hboxLayout5->setSpacing(6);
    hboxLayout5->setMargin(0);
    hboxLayout5->setObjectName(QString::fromUtf8("hboxLayout5"));
    cacheBox = new QCheckBox(iconGroup);
    cacheBox->setObjectName(QString::fromUtf8("cacheBox"));

    hboxLayout5->addWidget(cacheBox);

    cacheButton = new InfoButton(iconGroup);
    cacheButton->setObjectName(QString::fromUtf8("cacheButton"));
    cacheButton->setMaximumSize(QSize(24, 16777215));

    hboxLayout5->addWidget(cacheButton);


    vboxLayout5->addLayout(hboxLayout5);

    hboxLayout6 = new QHBoxLayout();
    hboxLayout6->setSpacing(6);
    hboxLayout6->setMargin(0);
    hboxLayout6->setObjectName(QString::fromUtf8("hboxLayout6"));
    resizeBox = new QCheckBox(iconGroup);
    resizeBox->setObjectName(QString::fromUtf8("resizeBox"));

    hboxLayout6->addWidget(resizeBox);

    resizeButton = new InfoButton(iconGroup);
    resizeButton->setObjectName(QString::fromUtf8("resizeButton"));
    resizeButton->setMaximumSize(QSize(24, 16777215));

    hboxLayout6->addWidget(resizeButton);


    vboxLayout5->addLayout(hboxLayout6);

    frame = new QFrame(iconGroup);
    frame->setObjectName(QString::fromUtf8("frame"));
    frame->setEnabled(false);
    frame->setFrameShape(QFrame::NoFrame);
    frame->setFrameShadow(QFrame::Raised);
    vboxLayout6 = new QVBoxLayout(frame);
    vboxLayout6->setSpacing(6);
    vboxLayout6->setMargin(0);
    vboxLayout6->setObjectName(QString::fromUtf8("vboxLayout6"));
    hboxLayout7 = new QHBoxLayout();
    hboxLayout7->setSpacing(6);
    hboxLayout7->setMargin(0);
    hboxLayout7->setObjectName(QString::fromUtf8("hboxLayout7"));
    label_2 = new QLabel(frame);
    label_2->setObjectName(QString::fromUtf8("label_2"));

    hboxLayout7->addWidget(label_2);

    heightSpin = new QSpinBox(frame);
    heightSpin->setObjectName(QString::fromUtf8("heightSpin"));
    heightSpin->setMaximum(64);
    heightSpin->setMinimum(1);
    heightSpin->setValue(32);

    hboxLayout7->addWidget(heightSpin);


    vboxLayout6->addLayout(hboxLayout7);

    hboxLayout8 = new QHBoxLayout();
    hboxLayout8->setSpacing(6);
    hboxLayout8->setMargin(0);
    hboxLayout8->setObjectName(QString::fromUtf8("hboxLayout8"));
    label = new QLabel(frame);
    label->setObjectName(QString::fromUtf8("label"));

    hboxLayout8->addWidget(label);

    widthSpin = new QSpinBox(frame);
    widthSpin->setObjectName(QString::fromUtf8("widthSpin"));
    widthSpin->setMaximum(64);
    widthSpin->setMinimum(1);
    widthSpin->setValue(32);

    hboxLayout8->addWidget(widthSpin);


    vboxLayout6->addLayout(hboxLayout8);


    vboxLayout5->addWidget(frame);

    label_3 = new QLabel(iconGroup);
    label_3->setObjectName(QString::fromUtf8("label_3"));

    vboxLayout5->addWidget(label_3);

    hboxLayout9 = new QHBoxLayout();
    hboxLayout9->setSpacing(6);
    hboxLayout9->setMargin(0);
    hboxLayout9->setObjectName(QString::fromUtf8("hboxLayout9"));
    execIconEdit = new QLineEdit(iconGroup);
    execIconEdit->setObjectName(QString::fromUtf8("execIconEdit"));

    hboxLayout9->addWidget(execIconEdit);

    execIconButton = new BrowseButton(iconGroup);
    execIconButton->setObjectName(QString::fromUtf8("execIconButton"));
    execIconButton->setMaximumSize(QSize(24, 16777215));

    hboxLayout9->addWidget(execIconButton);


    vboxLayout5->addLayout(hboxLayout9);

    label_4 = new QLabel(iconGroup);
    label_4->setObjectName(QString::fromUtf8("label_4"));

    vboxLayout5->addWidget(label_4);

    hboxLayout10 = new QHBoxLayout();
    hboxLayout10->setSpacing(6);
    hboxLayout10->setMargin(0);
    hboxLayout10->setObjectName(QString::fromUtf8("hboxLayout10"));
    menuIconEdit = new QLineEdit(iconGroup);
    menuIconEdit->setObjectName(QString::fromUtf8("menuIconEdit"));

    hboxLayout10->addWidget(menuIconEdit);

    menuIconButton = new BrowseButton(iconGroup);
    menuIconButton->setObjectName(QString::fromUtf8("menuIconButton"));
    menuIconButton->setMaximumSize(QSize(24, 16777215));

    hboxLayout10->addWidget(menuIconButton);


    vboxLayout5->addLayout(hboxLayout10);


    vboxLayout3->addWidget(iconGroup);

    windowGroup = new QGroupBox(configurePage);
    windowGroup->setObjectName(QString::fromUtf8("windowGroup"));
    vboxLayout7 = new QVBoxLayout(windowGroup);
    vboxLayout7->setSpacing(6);
    vboxLayout7->setMargin(8);
    vboxLayout7->setObjectName(QString::fromUtf8("vboxLayout7"));
    label_5 = new QLabel(windowGroup);
    label_5->setObjectName(QString::fromUtf8("label_5"));

    vboxLayout7->addWidget(label_5);

    shortcutEdit = new QLineEdit(windowGroup);
    shortcutEdit->setObjectName(QString::fromUtf8("shortcutEdit"));

    vboxLayout7->addWidget(shortcutEdit);


    vboxLayout3->addWidget(windowGroup);

    spacerItem1 = new QSpacerItem(QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout3->addItem(spacerItem1);

    helpGroup = new QGroupBox(configurePage);
    helpGroup->setObjectName(QString::fromUtf8("helpGroup"));
    vboxLayout8 = new QVBoxLayout(helpGroup);
    vboxLayout8->setSpacing(6);
    vboxLayout8->setMargin(9);
    vboxLayout8->setObjectName(QString::fromUtf8("vboxLayout8"));
    helpLabel = new QLabel(helpGroup);
    helpLabel->setObjectName(QString::fromUtf8("helpLabel"));
    helpLabel->setAlignment(Qt::AlignJustify|Qt::AlignVCenter);
    helpLabel->setWordWrap(true);

    vboxLayout8->addWidget(helpLabel);


    vboxLayout3->addWidget(helpGroup);

    toolBox->addItem(configurePage, QApplication::translate("Settings", "Configure", 0, QApplication::UnicodeUTF8));
    aboutPage = new QWidget();
    aboutPage->setObjectName(QString::fromUtf8("aboutPage"));
    aboutPage->setGeometry(QRect(0, 0, 268, 749));
    vboxLayout9 = new QVBoxLayout(aboutPage);
    vboxLayout9->setSpacing(6);
    vboxLayout9->setMargin(8);
    vboxLayout9->setObjectName(QString::fromUtf8("vboxLayout9"));
    label_6 = new QLabel(aboutPage);
    label_6->setObjectName(QString::fromUtf8("label_6"));
    label_6->setPixmap(QPixmap(QString::fromUtf8(":/logo.png")));
    label_6->setAlignment(Qt::AlignHCenter);

    vboxLayout9->addWidget(label_6);

    versionLabel = new QLabel(aboutPage);
    versionLabel->setObjectName(QString::fromUtf8("versionLabel"));
    versionLabel->setAlignment(Qt::AlignCenter);

    vboxLayout9->addWidget(versionLabel);

    label_9 = new QLabel(aboutPage);
    label_9->setObjectName(QString::fromUtf8("label_9"));
    label_9->setAlignment(Qt::AlignCenter);

    vboxLayout9->addWidget(label_9);

    spacerItem2 = new QSpacerItem(20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout9->addItem(spacerItem2);

    toolBox->addItem(aboutPage, QApplication::translate("Settings", "About", 0, QApplication::UnicodeUTF8));

    vboxLayout->addWidget(toolBox);

    nameLabel->setBuddy(nameEdit);
    iconLabel->setBuddy(iconEdit);
    execLabel->setBuddy(execEdit);
    QWidget::setTabOrder(nameEdit, iconEdit);
    QWidget::setTabOrder(iconEdit, execRadio);
    QWidget::setTabOrder(execRadio, menuRadio);
    QWidget::setTabOrder(menuRadio, execEdit);
    retranslateUi(Settings);
    QObject::connect(execRadio, SIGNAL(toggled(bool)), execEdit, SLOT(setEnabled(bool)));
    QObject::connect(execRadio, SIGNAL(toggled(bool)), execLabel, SLOT(setEnabled(bool)));
    QObject::connect(resizeBox, SIGNAL(toggled(bool)), frame, SLOT(setEnabled(bool)));
    QObject::connect(quickSelectBox, SIGNAL(toggled(bool)), zoomBox, SLOT(setEnabled(bool)));
    QObject::connect(iconButton, SIGNAL(chose(QString)), iconEdit, SLOT(setText(QString)));
    QObject::connect(execButton, SIGNAL(chose(QString)), execEdit, SLOT(setText(QString)));
    QObject::connect(quickSelectButton, SIGNAL(clicked(QString)), helpLabel, SLOT(setText(QString)));
    QObject::connect(zoomButton, SIGNAL(clicked(QString)), helpLabel, SLOT(setText(QString)));
    QObject::connect(hideButton, SIGNAL(clicked(QString)), helpLabel, SLOT(setText(QString)));
    QObject::connect(execIconButton, SIGNAL(chose(QString)), execIconEdit, SLOT(setText(QString)));
    QObject::connect(menuIconButton, SIGNAL(chose(QString)), menuIconEdit, SLOT(setText(QString)));
    QObject::connect(cacheButton, SIGNAL(clicked(QString)), helpLabel, SLOT(setText(QString)));
    QObject::connect(resizeButton, SIGNAL(clicked(QString)), helpLabel, SLOT(setText(QString)));
    QObject::connect(iconEdit, SIGNAL(textChanged(QString)), iconButton, SLOT(setStartingDir(QString)));
    QObject::connect(execEdit, SIGNAL(textChanged(QString)), execButton, SLOT(setStartingDir(QString)));
    QObject::connect(execIconEdit, SIGNAL(textChanged(QString)), execIconButton, SLOT(setStartingDir(QString)));
    QObject::connect(menuIconEdit, SIGNAL(textChanged(QString)), menuIconButton, SLOT(setStartingDir(QString)));

    toolBox->setCurrentIndex(2);


    QMetaObject::connectSlotsByName(Settings);
    } // setupUi

    void retranslateUi(QWidget *Settings)
    {
    nameLabel->setText(QApplication::translate("Settings", "Name for action:", 0, QApplication::UnicodeUTF8));
    iconLabel->setText(QApplication::translate("Settings", "Icon for action:", 0, QApplication::UnicodeUTF8));
    actionGroup->setTitle(QApplication::translate("Settings", "Action type", 0, QApplication::UnicodeUTF8));
    execRadio->setText(QApplication::translate("Settings", "E&xecute Command", 0, QApplication::UnicodeUTF8));
    menuRadio->setText(QApplication::translate("Settings", "Open &Menu", 0, QApplication::UnicodeUTF8));
    execLabel->setText(QApplication::translate("Settings", "Command to execute:", 0, QApplication::UnicodeUTF8));
    applyButton->setText(QApplication::translate("Settings", "&Apply", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("Settings", "&Cancel", 0, QApplication::UnicodeUTF8));
    deleteButton->setText(QApplication::translate("Settings", "&Delete", 0, QApplication::UnicodeUTF8));
    toolBox->setItemText(toolBox->indexOf(editPage), QApplication::translate("Settings", "Edit", 0, QApplication::UnicodeUTF8));
    cellGroup->setTitle(QApplication::translate("Settings", "Cell Options", 0, QApplication::UnicodeUTF8));
    quickSelectBox->setText(QApplication::translate("Settings", "Quick Select Single Icons", 0, QApplication::UnicodeUTF8));
    quickSelectButton->setMessage(QApplication::translate("Settings", "When QuickSelect is enabled, selecting a cell with just one icon in it automatically activates that icon.", 0, QApplication::UnicodeUTF8));
    zoomBox->setText(QApplication::translate("Settings", "Zoom Single Icons", 0, QApplication::UnicodeUTF8));
    zoomButton->setMessage(QApplication::translate("Settings", "When zooming is enabled, whenever a cell contains just one icon that icon will be zoomed to tripple its original size to fill the whole cell.", 0, QApplication::UnicodeUTF8));
    hideBox->setText(QApplication::translate("Settings", "Hide Empty Cells", 0, QApplication::UnicodeUTF8));
    hideButton->setMessage(QApplication::translate("Settings", "When Hiding is enabled, cells with no icons in them will not be displayed at all.", 0, QApplication::UnicodeUTF8));
    iconGroup->setTitle(QApplication::translate("Settings", "Icon Options", 0, QApplication::UnicodeUTF8));
    cacheBox->setText(QApplication::translate("Settings", "Cache Icons", 0, QApplication::UnicodeUTF8));
    cacheButton->setMessage(QApplication::translate("Settings", "If caching is enabled, all icons will be stored in memory. This will make entering a new menu faster, but will also take up a lot of system resources. Enable this feature if you have lots of RAM or loading new menus is too slow.", 0, QApplication::UnicodeUTF8));
    resizeBox->setText(QApplication::translate("Settings", "Resize All Icons", 0, QApplication::UnicodeUTF8));
    resizeButton->setMessage(QApplication::translate("Settings", "Menoku can use icons of any size. Normally, the size that the icon is displayed is the size of the icon file itself. Enable resizing if you want to make sure all icons are displayed at the same size (this will in no way modify the original icon file)", 0, QApplication::UnicodeUTF8));
    label_2->setText(QApplication::translate("Settings", "Height:", 0, QApplication::UnicodeUTF8));
    heightSpin->setSuffix(QApplication::translate("Settings", " pixels", 0, QApplication::UnicodeUTF8));
    label->setText(QApplication::translate("Settings", "Width:", 0, QApplication::UnicodeUTF8));
    widthSpin->setSuffix(QApplication::translate("Settings", " pixels", 0, QApplication::UnicodeUTF8));
    label_3->setText(QApplication::translate("Settings", "Default Application Icon:", 0, QApplication::UnicodeUTF8));
    label_4->setText(QApplication::translate("Settings", "Default Menu Icon:", 0, QApplication::UnicodeUTF8));
    windowGroup->setTitle(QApplication::translate("Settings", "Window Options", 0, QApplication::UnicodeUTF8));
    label_5->setText(QApplication::translate("Settings", "<html><head><meta name=\"qrichtext\" content=\"1\" /></head><body style=\" white-space: pre-wrap; font-family:Sans Serif; font-weight:400; font-style:normal; text-decoration:none;\"><p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Shortcut to raise Menoku</p></body></html>", 0, QApplication::UnicodeUTF8));
    helpGroup->setTitle(QApplication::translate("Settings", "Option Help", 0, QApplication::UnicodeUTF8));
    helpLabel->setText(QApplication::translate("Settings", "Show specific help for any of the above options by clicking the [?] button next to the option you would like to learn more about!", 0, QApplication::UnicodeUTF8));
    toolBox->setItemText(toolBox->indexOf(configurePage), QApplication::translate("Settings", "Configure", 0, QApplication::UnicodeUTF8));
    label_6->setText(QApplication::translate("Settings", "", 0, QApplication::UnicodeUTF8));
    versionLabel->setText(QApplication::translate("Settings", "<html><head><meta name=\"qrichtext\" content=\"1\" /></head><body style=\" white-space: pre-wrap; font-family:Sans Serif; font-weight:400; font-style:normal; text-decoration:none;\"><p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Version X.X.X</p></body></html>", 0, QApplication::UnicodeUTF8));
    label_9->setText(QApplication::translate("Settings", "<html><head><meta name=\"qrichtext\" content=\"1\" /></head><body style=\" white-space: pre-wrap; font-family:Sans Serif; font-weight:400; font-style:normal; text-decoration:none;\"><p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">(c) 2006 Nathan Gaylinn</p><p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">http://menoku.sourceforge.net</p><p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Free and Open under the Gnu GPL</p></body></html>", 0, QApplication::UnicodeUTF8));
    toolBox->setItemText(toolBox->indexOf(aboutPage), QApplication::translate("Settings", "About", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(Settings);
    } // retranslateUi

};

namespace Ui {
    class Settings: public Ui_Settings {};
} // namespace Ui

#endif // UI_SETTINGS_H
